Package jakarta.el

## Class StaticFieldELResolver

- java.lang.Object
- - jakarta.el.ELResolver
  - - jakarta.el.StaticFieldELResolver

    public class StaticFieldELResolver
    extends ELResolver

Since:
  EL 3.0

### Field Summary

### Fields inherited from class jakarta.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

### Constructor Summary

Constructors
`StaticFieldELResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.Class<?>` `getCommonPropertyType​(ELContext context, java.lang.Object base)` Obtain the most common type that is acceptable for the given base object.
`java.util.Iterator<java.beans.FeatureDescriptor>` `getFeatureDescriptors​(ELContext context, java.lang.Object base)` Deprecated, for removal: This API element is subject to removal in a future version. This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
`java.lang.Class<?>` `getType​(ELContext context, java.lang.Object base, java.lang.Object property)` Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
`java.lang.Object` `getValue​(ELContext context, java.lang.Object base, java.lang.Object property)` Obtain the value of the given property on the given object using the given context.
`java.lang.Object` `invoke​(ELContext context, java.lang.Object base, java.lang.Object method, java.lang.Class<?>[] paramTypes, java.lang.Object[] params)` Invokes a method on the the given object.
`boolean` `isReadOnly​(ELContext context, java.lang.Object base, java.lang.Object property)` Determine if the given property on the given object is read-only using the given context.
`void` `setValue​(ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)` Set the value of the given property on the given object using the given context.

### Methods inherited from class jakarta.el.ELResolver

`convertToType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticFieldELResolver

    public StaticFieldELResolver()

### Method Detail

#### getValue

    public java.lang.Object getValue​(ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)

Description copied from class: `ELResolver`
Obtain the value of the given property on the given object using the given context.

Specified by:
  `getValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be returned
Returns:
  the value of the provided property

#### setValue

    public void setValue​(ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)

Description copied from class: `ELResolver`
Set the value of the given property on the given object using the given context.

Specified by:
  `setValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be set
  `value` - The value to set the property to

#### invoke

    public java.lang.Object invoke​(ELContext context,
                                   java.lang.Object base,
                                   java.lang.Object method,
                                   java.lang.Class<?>[] paramTypes,
                                   java.lang.Object[] params)

Description copied from class: `ELResolver`
Invokes a method on the the given object. This default implementation always returns `null`.

Overrides:
  `invoke` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the method is to be found
  `method` - The method to invoke
  `paramTypes` - The types of the parameters of the method to invoke
  `params` - The parameters with which to invoke the method
Returns:
  Always `null`

#### getType

    public java.lang.Class<?> getType​(ELContext context,
                                      java.lang.Object base,
                                      java.lang.Object property)

Description copied from class: `ELResolver`
Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.

Specified by:
  `getType` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose type is to be returned
Returns:
  the most general type that maybe used to set the provided property or `null` if the resolver is read-only.

#### isReadOnly

    public boolean isReadOnly​(ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)

Description copied from class: `ELResolver`
Determine if the given property on the given object is read-only using the given context.

Specified by:
  `isReadOnly` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property to be checked for read only status
Returns:
  `true` if the identified property is read only, otherwise `false`

#### getFeatureDescriptors

    @Deprecated(forRemoval=true,
                since="EL 5.0")
    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors​(ELContext context,
                                                                                  java.lang.Object base)

Deprecated, for removal: This API element is subject to removal in a future version.
This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
Always returns `null`.

Overrides:
  `getFeatureDescriptors` in class `ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  An iterator, possibly empty, of feature descriptors of the given object

#### getCommonPropertyType

    public java.lang.Class<?> getCommonPropertyType​(ELContext context,
                                                    java.lang.Object base)

Description copied from class: `ELResolver`
Obtain the most common type that is acceptable for the given base object.

Specified by:
  `getCommonPropertyType` in class `ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  This resolver always returns `String.class`